Page 1 of 2 12 LastLast
Results 1 to 10 of 12
  1. #1
    Master Untangler
    Join Date
    Jul 2009
    Posts
    220

    Default errors when doing apt-get update

    ~ # apt-get update [root @ xxx]
    Hit http://updates.untangle.com stable Release.gpg
    Ign http://updates.untangle.com stable/main Translation-en_US
    Ign http://updates.untangle.com stable/premium Translation-en_US
    Ign http://updates.untangle.com stable/upstream Translation-en_US
    Hit http://updates.untangle.com dart Release.gpg
    Ign http://updates.untangle.com dart/main Translation-en_US
    Ign http://updates.untangle.com dart/premium Translation-en_US
    Ign http://updates.untangle.com dart/upstream Translation-en_US
    Get:1 http://security.debian.org lenny/updates Release.gpg [835B]
    Hit http://updates.untangle.com stable Release
    Ign http://security.debian.org lenny/updates/main Translation-en_US
    Hit http://updates.untangle.com dart Release
    Ign http://security.debian.org lenny/updates/contrib Translation-en_US
    Ign http://updates.untangle.com stable/main Packages/DiffIndex
    Ign http://security.debian.org lenny/updates/non-free Translation-en_US
    Ign http://updates.untangle.com stable/premium Packages/DiffIndex
    Get:2 http://security.debian.org lenny/updates Release [40.8kB]
    Ign http://updates.untangle.com stable/upstream Packages/DiffIndex
    Ign http://updates.untangle.com dart/main Packages/DiffIndex
    Get:3 http://ftp.debian.org lenny Release.gpg [1032B]
    Get:4 http://volatile.debian.org lenny/volatile Release.gpg [189B]
    Get:5 http://www.backports.org lenny-backports Release.gpg [189B]
    Ign http://ftp.debian.org lenny/main Translation-en_US
    Ign http://volatile.debian.org lenny/volatile/main Translation-en_US
    Ign http://updates.untangle.com dart/premium Packages/DiffIndex
    Ign http://ftp.debian.org lenny/contrib Translation-en_US
    Ign http://volatile.debian.org lenny/volatile/contrib Translation-en_US
    Ign http://www.backports.org lenny-backports/main Translation-en_US
    Ign http://ftp.debian.org lenny/non-free Translation-en_US
    Ign http://volatile.debian.org lenny/volatile/non-free Translation-en_US
    Ign http://updates.untangle.com dart/upstream Packages/DiffIndex
    Get:6 http://ftp.debian.org lenny Release [73.6kB]
    Get:7 http://volatile.debian.org lenny/volatile Release [40.7kB]
    Ign http://www.backports.org lenny-backports/contrib Translation-en_US
    Get:8 http://security.debian.org lenny/updates/main Packages [231kB]
    Ign http://updates.untangle.com stable/main Packages
    Ign http://www.backports.org lenny-backports/non-free Translation-en_US
    Ign http://updates.untangle.com stable/premium Packages
    Get:9 http://volatile.debian.org lenny/volatile/main Packages [7478B]
    Get:10 http://www.backports.org lenny-backports Release [56.1kB]
    Ign http://updates.untangle.com stable/upstream Packages
    Get:11 http://volatile.debian.org lenny/volatile/contrib Packages [14B]
    Get:12 http://volatile.debian.org lenny/volatile/non-free Packages [14B]
    Ign http://updates.untangle.com dart/main Packages
    Ign http://updates.untangle.com dart/premium Packages
    Ign http://updates.untangle.com dart/upstream Packages
    Hit http://updates.untangle.com stable/main Packages
    Hit http://updates.untangle.com stable/premium Packages
    Hit http://updates.untangle.com stable/upstream Packages
    Get:13 http://ftp.debian.org lenny/main Packages [5294kB]
    Ign http://www.backports.org lenny-backports Release
    Hit http://updates.untangle.com dart/main Packages
    Get:14 http://www.backports.org lenny-backports/main Packages [216kB]
    Hit http://updates.untangle.com dart/premium Packages
    Hit http://updates.untangle.com dart/upstream Packages
    Get:15 http://security.debian.org lenny/updates/contrib Packages [14B]
    Get:16 http://security.debian.org lenny/updates/non-free Packages [14B]
    Get:17 http://www.backports.org lenny-backports/contrib Packages [993B]
    Get:18 http://www.backports.org lenny-backports/non-free Packages [3058B]
    Get:19 http://ftp.debian.org lenny/contrib Packages [76.1kB]
    Get:20 http://ftp.debian.org lenny/non-free Packages [100kB]
    Fetched 229kB in 9s (23.6kB/s)
    Reading package lists... Done
    W: GPG error: http://volatile.debian.org lenny/volatile Release: Couldn't access
    keyring: 'No such file or directory'
    W: GPG error: http://ftp.debian.org lenny Release: Couldn't access keyring: 'No
    such file or directory'
    W: GPG error: http://www.backports.org lenny-backports Release: Couldn't access
    keyring: 'No such file or directory'
    W: GPG error: http://updates.untangle.com stable Release: Couldn't access keyrin
    g: 'No such file or directory'
    W: GPG error: http://updates.untangle.com dart Release: Couldn't access keyring:
    'No such file or directory'
    W: GPG error: http://security.debian.org lenny/updates Release: Couldn't access
    keyring: 'No such file or directory'
    W: You may want to run apt-get update to correct these problems
    How do i fix these errors above ?

  2. #2
    Untangle Ninja
    WebFooL's Avatar
    Join Date
    Jan 2009
    Location
    Sweden (Eskilstuna)
    Posts
    5,161

    Default

    Hi,
    What are you trying to update or install?
    It looks like you have the debian sources uncommeted in the sources.list. (usaly not good to have that.)

  3. #3
    Master Untangler
    Join Date
    Jul 2009
    Posts
    220

    Default

    Well i want to revert it back, tell me the ways please WebFool ?

  4. #4
    Untangle Ninja
    WebFooL's Avatar
    Join Date
    Jan 2009
    Location
    Sweden (Eskilstuna)
    Posts
    5,161

    Default

    Open a Terminal and run:
    Code:
    nano /etc/apt/sources.list
    Add # infront of the Debian sources

  5. #5
    Master Untangler
    Join Date
    Jul 2009
    Posts
    220

    Default

    ~ # apt-get update [root @ xxx]
    Get:1 http://updates.untangle.com stable Release.gpg [197B]
    Ign http://updates.untangle.com stable/main Translation-en_US
    Ign http://updates.untangle.com stable/premium Translation-en_US
    Ign http://updates.untangle.com stable/upstream Translation-en_US
    Get:2 http://updates.untangle.com dart Release.gpg [197B]
    Ign http://updates.untangle.com dart/main Translation-en_US
    Ign http://updates.untangle.com dart/premium Translation-en_US
    Ign http://updates.untangle.com dart/upstream Translation-en_US
    Hit http://updates.untangle.com stable Release
    Hit http://updates.untangle.com dart Release
    Get:3 http://updates.untangle.com stable Release [8854B]
    Ign http://updates.untangle.com stable Release
    Get:4 http://updates.untangle.com dart Release [8854B]
    Ign http://updates.untangle.com dart Release
    Ign http://updates.untangle.com stable/main Packages/DiffIndex
    Ign http://updates.untangle.com stable/premium Packages/DiffIndex
    Ign http://updates.untangle.com stable/upstream Packages/DiffIndex
    Ign http://updates.untangle.com dart/main Packages/DiffIndex
    Ign http://updates.untangle.com dart/premium Packages/DiffIndex
    Ign http://updates.untangle.com dart/upstream Packages/DiffIndex
    Ign http://updates.untangle.com stable/main Packages
    Ign http://updates.untangle.com stable/premium Packages
    Ign http://updates.untangle.com stable/upstream Packages
    Ign http://updates.untangle.com dart/main Packages
    Ign http://updates.untangle.com dart/premium Packages
    Ign http://updates.untangle.com dart/upstream Packages
    Hit http://updates.untangle.com stable/main Packages
    Hit http://updates.untangle.com stable/premium Packages
    Hit http://updates.untangle.com stable/upstream Packages
    Hit http://updates.untangle.com dart/main Packages
    Hit http://updates.untangle.com dart/premium Packages
    Hit http://updates.untangle.com dart/upstream Packages
    Fetched 18.1kB in 15s (1148B/s)
    Reading package lists... Done
    W: GPG error: http://updates.untangle.com stable Release: Couldn't access keyrin
    g: 'No such file or directory'
    W: GPG error: http://updates.untangle.com dart Release: Couldn't access keyring:
    'No such file or directory'
    W: You may want to run apt-get update to correct these problems
    New errors now

    CAN i fix Them dear sir??
    Last edited by alhadi; 10-12-2009 at 12:47 AM.

  6. #6
    Master Untangler
    Join Date
    Jul 2009
    Posts
    220

    Default

    root@xxx#
    ~ # aptitude autoclean
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Reading extended state information
    Initializing package states... Done
    Reading task descriptions... Done
    Del netpbm 10.0-12 [1162kB]
    Del imagemagick 6.3.7.9.dfsg2-1~lenny1 [1431kB]
    Del libnetpbm10 10.0-12 [64.8kB]
    Del gawk 3.1.5.dfsg-4.1 [685kB]
    Del gsfonts 8.11+urwcyr1.0.7~pre44-3 [3373kB]
    Del unrar 3.8.2-1 [97.2kB]
    Del transfig 3.2.5-rel-3.1 [564kB]
    Del gcc 4.3.2-2 [5008B]
    Del libmagick10 6.3.7.9.dfsg2-1~lenny1 [4010kB]
    Del razor 2.85-1 [124kB]
    Freed 11.5MB of disk space
    Sorry i mistakely did this , did i lost something??

  7. #7
    Untangle Ninja
    WebFooL's Avatar
    Join Date
    Jan 2009
    Location
    Sweden (Eskilstuna)
    Posts
    5,161

    Default

    Sry i don't know if UT use any of thoes packets.
    Maby Dmorris or some other UT staff can comment.

  8. #8
    Master Untangler
    Join Date
    Jul 2009
    Posts
    220

    Default

    Quote Originally Posted by WebFooL View Post
    Sry i don't know if UT use any of thoes packets.
    Maby Dmorris or some other UT staff can comment.
    Thanks for helping . please if some one is reading it can able to answer ?

    I need to fix these below gpg errors

    W: GPG error: http://updates.untangle.com stable Release: The following signatur
    es couldn't be verified because the public key is not available: NO_PUBKEY EDC4F
    DFC6E50D66C
    W: GPG error: http://updates.untangle.com dart Release: The following signatures
    couldn't be verified because the public key is not available: NO_PUBKEY EDC4FDF
    C6E50D66C
    W: You may want to run apt-get update to correct these problems
    Can anyone share some fix for these ?

  9. #9
    Master Untangler
    Join Date
    Oct 2008
    Posts
    913

    Default

    At this point, i would probably just wipe it and install fresh. there could be other issues that arise from this, which proves a point. dont mess with an untangle install

  10. #10
    Untangle Ninja juank's Avatar
    Join Date
    Aug 2007
    Location
    Athens
    Posts
    1,474

    Default

    Agree... what were you trying to install... it is never a good practice to leave those non-untangle sources in there.
    --------------------------------
    Juan Machado
    --------------------------------

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

SEO by vBSEO 3.6.0 PL2